Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class Win32ControlPlugin

    java.lang.Object
      net.hyperic.hq.product.GenericPlugin
          net.hyperic.hq.product.ControlPlugin
              net.hyperic.hq.product.Win32ControlPlugin

public class Win32ControlPlugin
extends ControlPlugin

Base class for control plugins.

Field Summary
`protected java.lang.String` | `installPrefix`
`protected org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `PROP_PROGRAMPREFIX`
`static java.lang.String` | `PROP_SERVICENAME`
`protected java.lang.String` | `serviceName`
`protected net.hyperic.sigar.win32.Service` | `svc`

Fields inherited from class net.hyperic.hq.product.ControlPlugin
`DEFAULT_TIMEOUT, manager, PROP_TIMEOUT, RESULT_FAILURE, RESULT_SUCCESS, STATE_RESTARTING, STATE_STARTED, STATE_STARTING, STATE_STOPPED, STATE_STOPPING, STATE_UNKNOWN`

Fields inherited from class net.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`Win32ControlPlugin()`

Method Summary
`void` | `configure(ConfigResponse config)`
`protected java.lang.String` | `detectState()`
`void` | `doAction(java.lang.String action)` Invokes plugin method with the name of param action.
`java.util.List` | `getActions()`
`java.lang.String` | `getInstallPrefix()`
`protected org.apache.commons.logging.Log` | `getLog()` Wrapper for LogFactory.getLog which uses the name returned by getLogName().
`java.lang.String` | `getServiceName()`
`protected boolean` | `isRunning()`
`protected boolean` | `isServiceRequired()`
`void` | `setInstallPrefix(java.lang.String val)`
`void` | `setServiceName(java.lang.String val)`
`protected java.lang.String` | `waitForState(java.lang.String wantedState)`

Methods inherited from class net.hyperic.hq.product.ControlPlugin
`getConfigSchema, getErrorStr, getManager, getResult, getTimeout, getTimeoutMillis, init, setErrorStr, setManager, setResult, setTimeout, setTimeout`

Methods inherited from class net.hyperic.hq.product.GenericPlugin
`getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLogName, getName, getPlatformName, getPluginClassName, getProductPlugin, getProperties, getProperty, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperty, getTypeProperty, getTypeProperty, isWin32, openResource, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_SERVICENAME

    public static final java.lang.String PROP_SERVICENAME

See Also:
  Constant Field Values

### PROP_PROGRAMPREFIX

    public static final java.lang.String PROP_PROGRAMPREFIX

See Also:
  Constant Field Values

### log

    protected org.apache.commons.logging.Log log

### serviceName

    protected java.lang.String serviceName

### installPrefix

    protected java.lang.String installPrefix

### svc

    protected net.hyperic.sigar.win32.Service svc

Constructor Detail

### Win32ControlPlugin

    public Win32ControlPlugin()

Method Detail

### getLog

    protected org.apache.commons.logging.Log getLog()

  Description copied from class: `GenericPlugin`
  Wrapper for LogFactory.getLog which uses the name returned by getLogName().

  Overrides:
    `getLog` in class `GenericPlugin`

### getServiceName

    public java.lang.String getServiceName()

### setServiceName

    public void setServiceName(java.lang.String val)

### isServiceRequired

    protected boolean isServiceRequired()

### getInstallPrefix

    public java.lang.String getInstallPrefix()

### setInstallPrefix

    public void setInstallPrefix(java.lang.String val)

### configure

    public void configure(ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `GenericPlugin`
  Throws:
    `PluginException`

### isRunning

    protected boolean isRunning()

  Overrides:
    `isRunning` in class `ControlPlugin`

### detectState

    protected java.lang.String detectState()

  Overrides:
    `detectState` in class `ControlPlugin`

### waitForState

    protected java.lang.String waitForState(java.lang.String wantedState)

  Overrides:
    `waitForState` in class `ControlPlugin`

### getActions

    public java.util.List getActions()

  Overrides:
    `getActions` in class `ControlPlugin`

### doAction

    public void doAction(java.lang.String action)
                  throws PluginException

  Description copied from class: `ControlPlugin`
  Invokes plugin method with the name of param action.

  Overrides:
    `doAction` in class `ControlPlugin`
  Throws:
    `PluginException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.